Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 885357 - Review Request: OpenShadingLanguage - Shader language libraries and compiler
Summary: Review Request: OpenShadingLanguage - Shader language libraries and compiler
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW DESIGN-SW
TreeView+ depends on / blocked
 
Reported: 2012-12-08 20:34 UTC by Dan Eicher
Modified: 2016-02-08 14:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-08 14:06:02 UTC


Attachments (Terms of Use)
the spec file (deleted)
2014-01-08 04:13 UTC, Dan Eicher
no flags Details

Description Dan Eicher 2012-12-08 20:34:39 UTC
Spec URL: https://docs.google.com/open?id=0B9QpqZytrc8XNFByTTdnLW9jeWs

SRPM URL: https://docs.google.com/open?id=0B9QpqZytrc8XVDZLa0lDUHVnVFE

Description: 

Open Shading Language (OSL) is a small but rich language for
programmable shading in advanced renderers and other applications, ideal
for describing materials, lights, displacement, and pattern generation.

Fedora Account System Username: daneicher

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4769406

----------------------------

This is my first package so I'm going to have to kindly ask for a sponsor.

----------------------------

OSL is a new dependency for Blender starting with the forthcoming 2.65 release.

Even though we -- I'm a junior-woodchuck blender dev -- use a forked version who's changes need to be pushed upstream and Blender can't actually be compiled against the latest stable osl release it'd be nice to have this packaged up and ready for the eventual convergence of releases.

Comment 1 Michael Schwendt 2013-10-28 17:55:45 UTC
404 not found

Comment 2 Christopher Meng 2013-10-29 09:40:35 UTC
If you don't response in 30 days I will submit this again by myself.

Thanks.

Comment 3 Dan Eicher 2014-01-08 04:12:18 UTC
Updated to OSL-1.4.1

koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6371797

src.rpm: http://kojipkgs.fedoraproject.org//work/tasks/1798/6371798/OpenShadingLanguage-1.4.1-1.fc20.src.rpm

Not too sure how long koji stores things so will get the .spec and .src.rpm hosted somewhere.

Comment 4 Dan Eicher 2014-01-08 04:13:46 UTC
Created attachment 846929 [details]
the spec file

Comment 5 Christopher Meng 2014-01-08 04:16:07 UTC
Onyeibo Oku is also interested in this software, hope you two can work well with each other.

Comment 6 Christopher Meng 2014-01-08 04:21:40 UTC
From the Koji log, you missed some dependencies:

-- Could NOT find ZLIB (missing:  ZLIB_LIBRARY ZLIB_INCLUDE_DIR) 
-- Partio not found

The first one is zlib-devel and the second one is not available in Fedora:

http://www.disneyanimation.com/technology/partio.html

But it's an awesome lib from Disney! ;)

I can help package this lib for your needs.

Comment 7 Dan Eicher 2014-01-08 18:22:14 UTC
Added BuildRequires:  zlib-devel

http://koji.fedoraproject.org/koji/taskinfo?taskID=6374830

Partio would be nice but I don't know anyone who uses it to test it out, blender certainly doesn't (to the best of my knowledge).

Comment 8 Michael Schwendt 2014-01-15 13:34:36 UTC
$ fedora-review -b 885357
INFO: Processing bugzilla bug: 885357
INFO: Getting .spec and .srpm Urls from : 885357
INFO:   --> SRPM url: http://kojipkgs.fedoraproject.org//work/tasks/1798/6371798/OpenShadingLanguage-1.4.1-1.fc20.src.rpm
ERROR: 'Cannot find spec file URL'

Keeping the lines with "SRPM URL:" and "Spec URL:" up-to-date will make it possible to point the fedora-review tool at this ticket and let it perform many checks.

Comment 9 Miroslav Suchý 2015-07-21 13:47:27 UTC
Ping? Any progress here?

Comment 10 Miroslav Suchý 2016-02-08 14:06:02 UTC
No response. Closing as dead review. If you ever want to continue, please resubmit.


Note You need to log in before you can comment on or make changes to this bug.